<?
include 'mysql.php';
include_once("inclydings/gzips.php");
include_once("inclydings/zag.php");
include_once("inclydings/check2.php");
include_once("inclydings/sesi.php");
if (isset($user)) {

switch(@$go) {

default:
echo "<form action=\"search.php?$sd&go=go\" method=\"post\">Введите ник:<br/>";
echo "<input name=\"nick\" maxlength=\"10\" title=\"nick\" emptyok=\"true\"/><br/>";
echo "<input type=\"submit\" value=\"Найти\" /></form>";

break;

case 'go':
$nick = htmlspecialchars(stripslashes($nick));

if(!@file("L2dbnam/esql2db/reg/$nick.dat")){echo"Такой игрок не существует!"; include_once"inclydings/down.php"; exit; }

$text = @file("L2dbnam/esql2db/reg/$nick.dat");
$udata = explode(":||:",$text[0]);

if(@file("L2dbnam/esql2db/clan/status/$nick.dat")){

$text = @file("L2dbnam/esql2db/clan/status/$nick.dat");
$datta = explode(":||:",$text[0]);
echo"[ <u>$datta[1]</u> ]<br/>";}
if($udata[23]!==""){
$file = @file("L2dbnam/esql2db/clan/$udata[23].dat");
$data = explode(":||:",$file[0]);
if(!empty($data[2])){
echo"<b>$nick</b> <img src=\"pik4erspic/clan/$data[2]\" alt=\"clan\"/>";}else{
echo"<b>$nick</b>";
}
}else{
echo"<b>$nick</b></a>";}
echo"($udata[9] Ур. ,";
$elita=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$nick' LIMIT 1");
if(@file("L2dbnam/esql2db/admins/$nick.dat")){echo"<b><u><font color=lime>Создатель проэкта</u></b></font> ,";}
$elita=mysql_query("SELECT * FROM `table_moder` WHERE `nick`='$nick' LIMIT 1");
if(@file("L2dbnam/esql2db/moders/$nick.dat")){echo"<b><u><font color=blue>Модератор</u></b></font> ,";}
$elita=mysql_query("SELECT * FROM `table_konsultant` WHERE `nick`='$nick' LIMIT 1");
if(@file("L2dbnam/esql2db/konsultant/$nick.dat")){echo"<b><u><font color=#FFFAFA>Консультант</u></b></font> ,";}
$laikas = 600;
$dabar = time();
$timeout = $dabar - $laikas;

$asd = mysql_num_rows(mysql_query("SELECT laikas, nick FROM table_online WHERE laikas > '$timeout' AND nick='$nick'"));
////////////////////////////

if($asd==0){
echo"<font color=\"red\"> <b>Off</b></font>)<br/>";
}else{
echo"<font color=\"lime\"> <b>On</b></font>)<br/>";
}
$usdata = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `table_status` WHERE `usr` = '$nick'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"Статус: <b>$mag[Imya]</b><br/>";
}}



if (is_file('pik4erspic/'.$nick.'.jpg'))
{
echo'<img src="pik4erspic/'.$nick.'.jpg" alt="pic"/><br/><br/>';
} else {

if($udata[2]=="Ж" && $udata[26]=="kamael"){echo'<img src="pik4erspic/personals/kamaelwoman.gif" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="kamael"){echo'<img src="pik4erspic/personals/kamaelmen.gif" alt="pic"/><br/>';
}
if($udata[2]=="Ж" && $udata[26]=="human"){echo'<img src="pik4erspic/personals/humanwoman.gif" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="human"){echo'<img src="pik4erspic/personals/humanmen.gif" alt="pic"/><br/>';
}

if($udata[2]=="Ж" && $udata[26]=="elf"){echo'<img src="pik4erspic/personals/elfwoman.jpg" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="elf"){echo'<img src="pik4erspic/personals/elfmen.jpg" alt="pic"/><br/>';
}

if($udata[2]=="Ж" && $udata[26]=="darkelf"){echo'<img src="pik4erspic/personals/darkelfwoman.gif" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="darkelf"){echo'<img src="pik4erspic/personals/darkelfmen.gif" alt="pic"/><br/>';
}

if($udata[2]=="Ж" && $udata[26]=="gnom"){echo'<img src="pik4erspic/personals/gnomwoman.gif" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="gnom"){echo'<img src="pik4erspic/personals/gnommen.gif" alt="pic"/><br/>';
}

if($udata[2]=="Ж" && $udata[26]=="ork"){echo'<img src="pik4erspic/personals/orkwoman.gif" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="ork"){echo'<img src="pik4erspic/personals/ork.gif" alt="pic"/><br/>';
}
}
$texp = @file("L2dbnam/esql2db/blocked/$nick.dat");
$datap = explode("||",$texp[0]);
$prichina=$datap[3];
$akto=$datap[0];
$akada=$datap[1];
$banfi = @file("L2dbnam/esql2db/blocked/$nick.dat"); 
$bandat = explode("||",$banfi[0]);
$diedat[]=$bandat[1];
echo'<br>';
if ($banfi!==false) {echo '<br><b>Персонаж заблокирован!!!</b><br />';
echo' Причина блока: '.$prichina.'<br />Заблокировал: <font color=lime><b>'.$akto.'</b></font><br />Дата: '.$akada.'<br/><br/>';}

$file=file("L2dbnam/esql2db/ban.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data = explode("||",$file[$i]);
if($data[2]==$nick)
{
$time=time()-86400;
if($data[1]>$time){echo"
<b>Персонаж забанен на 24 часа!!!</b><br/>
Причина: $data[3]</br>";

 }
}}





$q = mysql_query("SELECT COUNT(`id`) FROM `table_stena` WHERE `id`='$nick'");
$kol = mysql_result($q, 0);


echo"<li><a href=\"search.php?$sd&go=info&nick=$nick\">Информация</a>";
echo"<li><a href=\"search.php?$sd&go=smot&nick=$nick\">Снаряжение</a>";
echo"<li><a href=\"search.php?$sd&go=stat&nick=$nick\">Статистика</a><br/><br/>";
echo "<li><a href=\"send.php?$sd&game=send&nik=$nick\">Написать письмо</a>";
echo"<li><a href=\"search.php?$sd&go=anketa&nick=$nick\">Анкета персонажа</a>";
echo"<li><a href=\"search.php?$sd&go=stena&nick=$nick&id=$nick\">Стена</a>[<b>$kol</b>]";
break;

case 'save':
$nick = htmlspecialchars(stripslashes($nick));

if(!@file("L2dbnam/esql2db/reg/$nick.dat")){echo"Такой игрок не существует!"; include_once"inclydings/down.php"; exit; }

if($udata[9]<"10"){echo"Комментарий можно писать только с 10 уровня.";
include_once"inclydings/down.php";
exit;
}
if($msg==""){echo "Вы не ввели комментарий";
include 'inclydings/down.php';
exit;
}
$query = "INSERT INTO table_stena VALUES('$id','$log','$aid','$msg')";

$result = mysql_query($query);
echo "Комментарий добавлен</a>";

break;

case 'add':
$nick = htmlspecialchars(stripslashes($nick));

if(!@file("L2dbnam/esql2db/reg/$nick.dat")){echo"Такой игрок не существует!"; include_once"inclydings/down.php"; exit; }

if($udata[9]<"10"){echo"Комментарий можно писать только с 10 уровня.";
include_once"inclydings/down.php";
exit;
}
echo'<form method="post" action="search.php?'.$sd.'&go=save&id='.$nick.'">';
echo "<br/>Коментарий:<br/>";
echo "<input class=\"button\" name=\"msg\" maxlength=\"300\" title=\"Коментарий\" emptyok=\"true\"/><br/>";
echo '<input class="button" type="submit" value="Добавить"/></form>';

break;

case 'stena':
$nick = htmlspecialchars(stripslashes($nick));

if(!@file("L2dbnam/esql2db/reg/$nick.dat")){echo"Такой игрок не существует!"; include_once"inclydings/down.php"; exit; }

$q = mysql_query("SELECT COUNT(`id`) FROM `table_stena` WHERE `id`='$id'");
$kol = mysql_result($q, 0);
if($kol=="0"){
echo "На стене пока нет ни одной записи.<br/>";
}else{
echo "$kol записи<br/>";
}
if(empty($startan)) $startan = 0;
$startan=intval($startan);
if($startan<0) $startan=0; $num_msgs_an=5;
$qi = mysql_query("SELECT * FROM `table_stena` WHERE `id`='$id' ORDER by `aid` DESC LIMIT $startan,$num_msgs_an");
while($row=mysql_fetch_array($qi))
{
echo "<a href=\"search.php?$sd&nick=$row[nick]&amp;go=go\">$row[nick]</a> - $row[msg]<br/>";
}
$q = mysql_query("SELECT COUNT(`id`) FROM `table_stena` WHERE `id`='$nick'");
$kol = mysql_result($q, 0);
if($startan!= 0) $page2left = ' <a href= search.php?'.$sd.'&go=stena&startan='. ($startan - 5) .'&page='.($page-1).'&id='.$nick.'&nick='.$nick.'>'. ($page - 1) .'</a> | ';

if(empty($page)){$page=1;}
if($kol > $startan + 5) $page2right = ' | <a href= search.php?'.$sd.'&go=stena&startan='. ($startan + 5) .'&page='. ($page+1) .'&id='.$nick.'&nick='.$nick.'>'. ($page + 1) .'</a>';
echo $page2left.'<b>('.$page.')</b>'.$page1right.$page2right.'<br/>';
if ($startan != 0) {echo '<a href="search.php?'.$sd.'&go=stena&startan='.($startan - 5).'&page='.($page-1).'&id='.$nick.'&nick='.$nick.'">Назад</a> ';}
if ($kol > $startan + 5) {echo ' <a href="search.php?'.$sd.'&go=stena&startan='.($startan + 5).'&page='.($page+1).'&id='.$nick.'&nick='.$nick.'">Далее</a><br/>';}
echo "<li><a href=\"search.php?$sd&go=add&nick=$nick\">Добавить коментарий</a>";
break;

case 'info':
$nick = htmlspecialchars(stripslashes($nick));

if(!@file("L2dbnam/esql2db/reg/$nick.dat")){echo"Такой игрок не существует!"; include_once"inclydings/down.php"; exit; }

$text = @file("L2dbnam/esql2db/reg/$nick.dat");
$udata = explode(":||:",$text[0]);
$g=mysql_query("SELECT * FROM `table_loves` WHERE `nick`='$nick' LIMIT 1");
if(mysql_num_rows($g)==1){
$result666 = mysql_query("SELECT * FROM `table_loves` WHERE `nick`='".$nick."'");
$po = mysql_fetch_array($result666);
echo "Состоит в браке с: <a href=\"search.php?$sd&go=go&nick=$po[para]\">$po[para]</a><br/>";}
$elita=mysql_query("SELECT * FROM `table_vip` WHERE `nick`='$nick' LIMIT 1");
if(@file("L2dbnam/esql2db/vip/$nick.dat")){echo"Премиум: <b><font color=yellow>VIP</b></font><br/>";}
if(@file("L2dbnam/esql2db/rating/olimpiads/$nick.dat")){echo"<b><font color=\"#FF0000\"><img src=\"pik4erspic/mini/w.png\"> <u>Герой</font></u></b><br/>";}
if(@file("L2dbnam/esql2db/rating/olimpiads2/$nick.dat")){echo"<b><font color=\"#FF0000\"><img src=\"pik4erspic/mini/w.png\"> <u>Охотник</font></u></b><br/>";}
if(@file("L2dbnam/esql2db/rating/eventfish/$nick.dat")){echo"<b><font color=\"#FF0000\"><img src=\"pik4erspic/mini/w.png\"> <u>Рыболов</font></u></b><br/>";}
if(@file("L2dbnam/esql2db/orange/$nick.dat")){echo"<b><font color=#FFA500><img src=\"pik4erspic/mini/w.png\"> <u>VIP-Персона</font></u></b><br/>";}
if(@file("L2dbnam/esql2db/colorroz/$nick.dat")){echo"<b><font color=#FF1493><img src=\"pik4erspic/mini/w.png\"> <u>VIP-Персона</font></u></b><br/>";}
if(@file("L2dbnam/esql2db/LightGreen/$nick.dat")){echo"<b><font color=#90EE90><img src=\"pik4erspic/mini/w.png\"> <u>VIP-Персона</font></u></b><br/>";}
if(@file("L2dbnam/esql2db/clan/$udata[23].dat")){

$text = @file("L2dbnam/esql2db/clan/$udata[23].dat");
$data = explode(":||:",$text[0]);

echo"В клане: <b><a href=\"infoclan.php?$sd&udata23=$udata[23]\">$data[1] </b> </a><br/>";}
if(@file("L2dbnam/esql2db/ali/names/$udata[23].dat")){
$text = @file("L2dbnam/esql2db/ali/names/$udata[23].dat");
$gali = explode("|",$text[0]);
$text = @file("L2dbnam/esql2db/ali/$gali[0].dat");
$nali = explode(":||:",$text[0]);
echo"В альянсе: <b><a href=\"infoali.php?$sd&udata23=$nali[0]\">$nali[1]</b> </a><br/>";}
echo"Сейчас в: <b>$udata[20]</b><br/>";
echo'Аден / Коин / Голд: <font color=gold>'.number_format($udata[8]).'</font> ,</a>';
echo' <font color=#FF8C00>'.number_format($udata[14]).'</font> ,';
echo' <font color=#FF0000>'.number_format($udata[95]).'</font><br/> ';
if(!empty($udata[33])){echo"Профессия: <font color=red><b>$udata[33]</b></font><br/>";}
if($udata[26]=="ork"){echo"Орк/";}
if($udata[26]=="elf"){echo"Cветлый Эльф/";}
if($udata[26]=="darkelf"){echo"Темный Эльф/";}
if($udata[26]=="human"){echo"Человек/";}
if($udata[26]=="gnom"){echo"Гном/";}
if($udata[26]=="kamael"){echo"Камаэль/";}
if($udata[27]=="wizard"){echo"Маг<br/>";}
if($udata[27]=="fighert"){echo"Воин<br/>";}
echo' Рек / PK / Карма:<font color=gold>'.number_format($udata[36]).'</font>, ';
if(!@file("L2dbnam/esql2db/rating/pk/$nick.dat")){
$text = @file("L2dbnam/esql2db/rating/pk/$nick.dat");
$data = explode("||",$text[0]);
echo' <font color=#FF0000> '.number_format($data[0]).'</font>,';}
if(empty($udata[98])){$udata[98]="0";}
echo' '.number_format($udata[98]).'<br/>';
echo"Дата регистрации: $udata[28]";
echo "<br><br> <a href=\"search.php?$sd&go=go&nick=$nick\"> Вернуться</a><br>";
break;

case 'stat':
$nick = htmlspecialchars(stripslashes($nick));

if(!@file("L2dbnam/esql2db/reg/$nick.dat")){echo"Такой игрок не существует!"; include_once"inclydings/down.php"; exit; }

$text = @file("L2dbnam/esql2db/reg/$nick.dat");
$udata = explode(":||:",$text[0]);



echo'<font color=red>HP: '.number_format($udata[16]).'/'.number_format($udata[17]).'</font><br/><font color=blue>MP: '.number_format($udata[29]).'/'.number_format($udata[30]).'</font>
<br/>EXP: '.number_format($udata[19]).'<br/><font color=#F0E68C>SP: '.number_format($udata[31]).'</font><br/><br/>';
echo'Побед: '.number_format($udata[6]).'<br/>Поражений: '.number_format($udata[7]).' <br/>Всего сражений '.number_format($udata[78]).'<br/>Пройдено квестов '.number_format($udata[44]).'';
echo "<br><br> <a href=\"search.php?$sd&go=go&nick=$nick\"> Вернуться</a><br>";
break;

case 'smot':
$nick = htmlspecialchars(stripslashes($nick));

if(!@file("L2dbnam/esql2db/reg/$nick.dat")){echo"Такой игрок не существует!"; include_once"inclydings/down.php"; exit; }

$text = @file("L2dbnam/esql2db/reg/$nick.dat");
$udata = explode(":||:",$text[0]);
$file = file("L2dbnam/esql2db/item/$nick.dat");
$file = array_reverse($file);
$total = count($file);

for ($i = 0; $i < $total; $i++){
$data = explode(":||:",$file[$i]);
$data_2[]=$data[2];
$data_id[]=$i;}
if($udata[54]!=="Пусто"){
echo"<img src=\"pik4erspic/ykr/$udata[54].gif\" alt=\"pic\"/>";
echo"<u>$udata[54]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/ykr.gif\" alt=\"pic\"/> Украшение: Не одето<br/>";}
if($udata[10]!=="Пусто"){
$u=explode('*',$udata[10]);
echo"<img src=\"pik4erspic/shlem/$u[0].gif\" alt=\"pic\"/>";
echo"<u>$udata[10]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/helmets.gif\" alt=\"pic\"/> Шлем: Не одето<br/>";}
if($udata[11]!=="Пусто"){
$u=explode('*',$udata[11]);
echo"<img src=\"pik4erspic/robe/$u[0].gif\" alt=\"pic\"/>";
echo"<u>$udata[11]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/up.gif\" alt=\"pic\"/> Роба: Не одето<br/>";}
if($udata[53]!=="Пусто"){
$u=explode('*',$udata[53]);
echo"<img src=\"pik4erspic/4it/$u[0].gif\" alt=\"pic\"/>";
echo"<u>$udata[53]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/4it.gif\" alt=\"pic\"/> Щит: Не одето<br/>";}
if($udata[12]!=="Пусто"){
$u=explode('*',$udata[12]);
echo"<img src=\"pik4erspic/weapon/$u[0].gif\" alt=\"pic\"/>";
echo"<u>$udata[12]</a></u><br/>";}else{echo"<img src=\"pik4erspic/pusto/weapon.gif\" alt=\"pic\"/> Правая рука: Не одето<br/>";}
if($udata[52]!=="Пусто"){
$u=explode('*',$udata[52]);
echo"<img src=\"pik4erspic/gloves/$u[0].gif\" alt=\"pic\"/>";
echo"<u>$udata[52]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/gloves.gif\" alt=\"pic\"/> Перчатки: Не одето<br/>";}

if($udata[13]!=="Пусто"){
$u=explode('*',$udata[13]);
echo"<img src=\"pik4erspic/boots/$u[0].gif\" alt=\"pic\"/>";
echo"<u>$udata[13]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/boots.gif\" alt=\"pic\"/> Сапоги: Не одето<br/>";}
if($udata[45]!=="Пусто"){
$u=explode('*',$udata[45]);
echo"<img src=\"pik4erspic/sheya/$u[0].gif\" alt=\"pic\"/>";
echo"<u>$udata[45]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/sheya.gif\" alt=\"pic\"/> Ожерелье: Не одето<br/>";}
if($udata[46]!=="Пусто"){
$u=explode('*',$udata[46]);
echo"<img src=\"pik4erspic/serga/$u[0].gif\" alt=\"pic\"/>";
echo"<u>$udata[46]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/serga.gif\" alt=\"pic\"/> Серьга: Не одето<br/>";}
if($udata[47]!=="Пусто"){
$u=explode('*',$udata[47]);
echo"<img src=\"pik4erspic/serga2/$u[0].gif\" alt=\"pic\"/>";
echo"<u>$udata[47]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/serga2.gif\" alt=\"pic\"/> Серьга: Не одето<br/>";}
if($udata[48]!=="Пусто"){
$u=explode('*',$udata[48]);
echo"<img src=\"pik4erspic/kolco/$u[0].gif\" alt=\"pic\"/>";
echo"<u>$udata[48]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/kolco.gif\" alt=\"pic\"/> Кольцо: Не одето<br/>";}
if($udata[49]!=="Пусто"){
$u=explode('*',$udata[49]);
echo"<img src=\"pik4erspic/kolco2/$u[0].gif\" alt=\"pic\"/>";
echo"<u>$udata[49]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/kolco2.gif\" alt=\"pic\"/> Кольцо: Не одето<br/>";}
echo'- - -<br/><li>Выносливость: '.number_format($udata[5]).'<br/><li>Физическая Защита: '.number_format($udata[3]).'<br/><li>Магическая Защита: '.number_format($udata[99]).'<br/><li>Физическая Атака: '.number_format($udata[4]).'<br/>- - -<br/>';
echo'<li>CRIT (Критические удары): '.number_format($udata[60]).'<br/><li>DEX (Точность, Уворот): '.number_format($udata[61]).'<br/><li>BLOCK (Блок щитом): '.number_format($udata[65]).'';
echo "<br><br> <a href=\"search.php?$sd&go=go&nick=$nick\"> Вернуться</a><br>";
break;
case 'anketa':


$usdata = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `table_anketa` WHERE `usr` = '$nick'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{

echo"<hr/><b>Имя:</b> $mag[Imya]<hr/>";
echo"<b>Фимилия:</b> $mag[familia]<hr/>";
echo"<b>Год рождения:</b> $mag[god]<hr/>";
echo"<b>Страна:</b> $mag[strana]<hr/>";
echo"<b>Город:</b> $mag[gorod]<hr/>";
echo"<b>Любимая музыка:</b> $mag[muz]<hr/>";
echo"<b>Интересы:</b> $mag[interes]<hr/>";
echo"<b>О себе:</b> $mag[info]";


echo "<br><br> <a href=\"search.php?$sd&go=go&nick=$nick\"> Вернуться к $nick </a><br>";
}}
else{
$nick = htmlspecialchars(stripslashes($nick));

if(!@file("L2dbnam/esql2db/reg/$nick.dat")){echo"Такой игрок не существует!"; include_once"inclydings/down.php"; exit; }
echo' У персонажа:'; echo" <a href=\"search.php?$sd&nick=$nick&go=go\">$nick</a> (Нет анкеты)";

echo "<br><br> <a href=\"search.php?$sd&go=go&nick=$nick\"> Вернуться</a><br>";
}

break;
}

}else{echo"Пароль или ник неверен. Возможно сессия устарела. Попробуйте авторизироваться заново.";}

include_once"inclydings/down.php";
include 'inclydings/nogi.php';
?>


